/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "engine_ruleset.h"

#ifndef GUI_STATEMENTLIST_H
#define GUI_STATEMENTLIST_H

typedef void (*StamentlistDragDropFunc) (GtkTreeView *treeview);

#endif

void gui_statementlist_init(GtkTreeView *treeview, StamentlistDragDropFunc func);
void gui_statementlist_update(GtkListStore *store, Ruleset *ruleset);
void gui_statementlist_data_get_from_iter(GtkListStore *store, GtkTreeIter *iter, RuleStatement **sm);
void gui_statementlist_selection_up(GtkTreeView *tree);
void gui_statementlist_selection_down(GtkTreeView *tree);
GList *gui_statementlist_order_get(GtkListStore *store);
