/* The Cantus project.
 * (c)2002, 2003 by Samuel Abels (spam debain org)
 * This project's homepage is: http://www.debain.org/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

/* Strings */
char *strstr_ci(const char *str, const char *needle);
void str_replace(char *str, const char *from, const char *to, int maxlen);
void str_replace_ci(char *str, const char *from, const char *to, int maxlen);
void strtoupper(char *str);
void strtolower(char *str);
void strtoupper_partly(char *str, int mode);
void string_wipe_spaces(char *source, int loc);

/* Arrays. */
char **explode(const char *string, const char *delimiters);
const char *array_element_case_insensitive(const char **array, const char *needle);
int array_num_elements(const char **array);
void free_array(char **array);
